# -*- coding: utf-8 -*-
from os.path import join
from os import listdir
from sets import Set
from creole.fonctionseole import get_module_name

# lien entre les nom d'actions de l'ead2 et les numeros d'instance
NAME_DICT = {1:'pedago', 0:'admin'}
try:
    from creole.parsedico import parse_dico
    dico = parse_dico()
    num_policies = int(dico.get('dans_num_opt_filters', 3)) + 4
except:
    num_policies = 7
whitelist_policy = [4]
other_spec_policies = [2,3]
spec_policies = whitelist_policy + other_spec_policies
policies = range(1, num_policies+1)
optional_policies = list(Set(policies).difference(Set(spec_policies)))
optional_policies.sort()

# edition de /etc/dansguardian.../
EOLE_DIR = '/usr/share/eole/dansguardian/'
TEMPLATE_DIR = join(EOLE_DIR, 'templates')
COMMON_TEMPLATE_DIR = join(EOLE_DIR, 'common')
WHITELIST_TEMPLATE_DIR = join(EOLE_DIR, 'whitelist_templates')
CLAMD_TEMPLATE_DIR = join(EOLE_DIR, 'contentscanners')
DANS_DIR = '/etc/dansguardian/dansguardian%d/'

# sous-répertoire de /etc/dansguardian/ communs copiés tel quel
instance_fix_subdirs = ['downloadmanagers', 'authplugins', 'lists']
# sous-répertoire de /etc/dansguardian/ spécifiques pour chaque polititque
# (crée des répertoires listsf<indice>)
instance_spec_subdirs = ['lists']
# templates communs à l'instance (importation depuis dansguardian.conf)
instance_common_templates = listdir(COMMON_TEMPLATE_DIR)
# templates spécifiques à chaque politique de filtrage
instance_subdirs_templates = listdir(TEMPLATE_DIR)
# templates spécifiques à la liste blanche utilisateur
instance_whitelist_templates = listdir(WHITELIST_TEMPLATE_DIR)
# templates spécifiques à clamd (templatisé et copié dans contentscanners)
instance_clamd_templates = listdir(CLAMD_TEMPLATE_DIR)

# edition de /var/lib/blacklists
LOCAL_TEMPLATE_DIR = join(EOLE_DIR, 'local_templates')
LOCAL_DIR = '/var/lib/blacklists/'
DANS_LOCAL_DIR = join(LOCAL_DIR, 'dansguardian%d/')
DANS_LOCAL_SUBDIR = join(DANS_LOCAL_DIR, "f%d")

local_common_conf_files = ['spusers', 'users', 'hosts', 'filtergroupslist', 'urls', 'ipgroupslist', 'domains_acad']
local_spec_conf_files = ['whites', 'domains', 'types_mime', 'extensions']
local_whitelist_conf_files = ['site_liste_blanche', 'url_liste_blanche', 'exceptionsitelist', 'exceptionurllist'] + local_spec_conf_files
#FIXME : fichiers déportés de /etc vers /var/lib/ afin d'éditer les # au lieu
#        de jouer avec des liens (ajout_filtres.sh)
local_deported_files = ['bannedsitelist', 'bannedurllist']

# fichier d'association item-politique (où item est un user ou une ip
filtergroupslist = join(DANS_LOCAL_DIR, 'common', 'filtergroupslist')
ipgroupslist = join(DANS_LOCAL_DIR, 'common', 'ipgroupslist')
amon_perms = '/usr/share/ead2/backend/config/perm_%s.ini' % get_module_name()
#commande liées à dansguardian
dg_reload = '/etc/init.d/dansguardian reload &>/dev/null'
dg_restart  = '/etc/init.d/dansguardian restart &>/dev/null'
dans_status = "/usr/share/ead2/backend/tmp/filtrage-contenu%d"
